GeographicLib 2.3

Typedefs | Functions
RhumbSolve.cpp File Reference

Command line utility for rhumb line calculations. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <cmath>`
`#include <limits>`
`#include <GeographicLib/Rhumb.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "RhumbSolve.usage"`

Go to the source code of this file.

## Typedefs
typedef Math::real | real

## Functions
std::string | LatLonString (real lat, real lon, int prec, bool dms, char dmssep, bool longfirst)
std::string | AzimuthString (real azi, int prec, bool dms, char dmssep)
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for rhumb line calculations.

Copyright (c) Charles Karney (2014-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file RhumbSolve.cpp.

## Typedef Documentation

## ◆ real

typedef Math::real real

Definition at line 30 of file RhumbSolve.cpp.

## Function Documentation

## ◆ LatLonString()

std::string LatLonString | ( | real | lat,
|  | real | lon,
|  | int | prec,
|  | bool | dms,
|  | char | dmssep,
|  | bool | longfirst
| ) |  |

Definition at line 32 of file RhumbSolve.cpp.

Referenced by main().

## ◆ AzimuthString()

std::string AzimuthString | ( | real | azi,
|  | int | prec,
|  | bool | dms,
|  | char | dmssep
| ) |  |

Definition at line 44 of file RhumbSolve.cpp.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[]
| ) |  |

Definition at line 49 of file RhumbSolve.cpp.

References AzimuthString(), GeographicLib::RhumbLine::GenPosition(), GeographicLib::Rhumb::Inverse(), LatLonString(), and GeographicLib::Rhumb::Line().